Plugins for Photoshop, Elements, Lightroom, PSP & others

Products

   


Features

Main
Description
Screenshots
Web Demo
Compatibility


Resources

   

Reviews
FAQ
Manual
Discussion Forum
Version History

   


Try & Buy

   
   

 


Compatibility

 

FilterHub works under Windows 10, 8, 7, Vista, XP (32-bit & 64-bit) as well as MacOS X (10.4.11 and higher).


Under Windows it requires one of the following applications to be installed:

  • Adobe Photoshop CC 2014 and higher (panel is not dockable)
  • Adobe Photoshop CS4, CS5, CS6, CC
  • Adobe Photoshop 7 to CS3 (panel is not dockable)
  • Adobe Photoshop Elements 2 and higher (panel is not dockable)


Under MacOS X it requires one of the following applications to be installed:

  • Adobe Photoshop CS4, CS5, CS6, CC
    (Photoshop CC 2014 and higher are not supported)


The FilterHub UI is only available in English and German, but it supports all localized versions of Photoshop and Photoshop Elements for the filter names.


Partially Supported under Windows:
Photoshop 5, 5.5, 6 (the old pre-CS versions) and Photoshop Elements 1. Only the built-in filters (and no plugins) are available when running FilterHub in them.


The FilterHub automation plugin for Windows requires the ActiveX version of the Adobe Flash Player with a certain minimum version number. It is already installed on most Windows computers, but if it should not be available on your system, FilterHub displays a message. You can then choose to install it via Internet Explorer (It is not possible via any other browser!) or download the appropriate installation file for manual installation. The FilterHub 32-bit plugin requires Flash Player 9.0.28 or higher, whereas the FilterHub 64-bit plugin requires at least Flash Player Square 10.2 (but Flash Player 11 or 12 would be better).

 

Still got questions ?